Bug 244060 - irqbalance initscript miscalculates CPUCOUNT
irqbalance initscript miscalculates CPUCOUNT
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel-utils (Show other bugs)
4.5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jarod Wilson
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-13 11:19 EDT by Bryn M. Reeves
Modified: 2010-10-22 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0763
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:00:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add a line anchor to the CPUCOUNT regex (414 bytes, patch)
2007-06-13 11:19 EDT, Bryn M. Reeves
no flags Details | Diff

  None (edit)
Description Bryn M. Reeves 2007-06-13 11:19:40 EDT
Description of problem:
irqbalance.init calculates CPUCOUNT by doing:

      local CPUCOUNT=`grep processor /proc/cpuinfo | wc -l`

This breaks on for e.g. Pentium Ms which have:

model name      : Intel(R) Pentium(R) M processor 1600MHz

Version-Release number of selected component (if applicable):
kernel-utils-2.4-13.1.99

How reproducible:
100% on affected CPU models

Steps to Reproduce:
1. Start irqbalance on a uniprocessor e.g. Pentium M system
  
Actual results:
irqbalance does not exit with the message "Can't balance irqs on a uniprocessor
system: "

Expected results:
irqbalance exits with the message "Can't balance irqs on a uniprocessor system: "

Additional info:
Any processor that has the string "processor" in the CPU ID field is affected.
Comment 1 Bryn M. Reeves 2007-06-13 11:19:42 EDT
Created attachment 156888 [details]
add a line anchor to the CPUCOUNT regex
Comment 2 RHEL Product and Program Management 2007-06-13 12:05:10 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 errata-xmlrpc 2007-11-15 11:00:18 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0763.html

Note You need to log in before you can comment on or make changes to this bug.